<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.button.MaterialButtonToggleGroup
        app:layout_constraintTop_toTopOf="parent"
        android:id="@+id/expandableButtons"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:singleSelection="true"
        android:layout_margin="10dp"
        >
        <com.google.android.material.button.MaterialButton
            android:id="@+id/expandRss"
            android:layout_width="@dimen/zero"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="TxtCommand"
            style="@style/asdda"
            />
        <com.google.android.material.button.MaterialButton
            android:id="@+id/expandSystemInfo"
            android:layout_width="@dimen/zero"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/system_stats"
            style="@style/asdda"
            />
    </com.google.android.material.button.MaterialButtonToggleGroup>

    <TextView
        app:layout_constraintTop_toBottomOf="@id/expandableButtons"
        android:id="@+id/consoleLog"
        android:maxHeight="300dp"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>
    <RelativeLayout
        app:layout_constraintTop_toBottomOf="@id/consoleLog"
        android:id="@+id/explayer"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="10dp">
        <include
            android:id="@+id/feedsRss"
            android:background="@drawable/base_bg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            layout="@layout/feeds_rss"/>
        <include
            android:id="@+id/feedsSysInfos"
            android:background="@drawable/base_bg"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            layout="@layout/feeds_sys_infos"/>
    </RelativeLayout>

    <ScrollView
        app:layout_constraintTop_toBottomOf="@id/explayer"
        android:layout_margin="10dp"
        android:background="@drawable/base_bg"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        android:fillViewport="true"
        android:scrollbars="none">
        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/widgetContainer"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"/>
    </ScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>
